Index: mythmusic/i18n/mythmusic_fi.ts
===================================================================
--- mythmusic/i18n/mythmusic_fi.ts	(revision 19002)
+++ mythmusic/i18n/mythmusic_fi.ts	(working copy)
@@ -193,7 +193,7 @@
     <message>
         <location filename="../mythmusic/databasebox.cpp" line="100"/>
         <source>The theme you are using does not contain any info lines in the music element. Please contact the theme creator and ask if they could please update it.</source>
-        <translation type="unfinished"></translation>
+        <translation>Käyttämäsi teema ei sisällä tietoalinjoja musiikkielementissä. Ole hyvä ja ota yhteyttä teeman tekijään ja kysy, jos he voisivat päivittää sen.</translation>
     </message>
 </context>
 <context>
@@ -1609,7 +1609,7 @@
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="66"/>
         <source>Audio Device used for playback. &apos;default&apos; will use the device specified in MythTV</source>
-        <translation type="unfinished"></translation>
+        <translation>Äänilaite jota käytetään toistoon. &apos;Oletus&apos; käyttää MythTV:n määrittämää laitetta</translation>
     </message>
     <message>
         <location filename="../mythmusic/metadata.cpp" line="993"/>
@@ -1624,47 +1624,47 @@
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="119"/>
         <source>Directory and filename Format used to grab information if no ID3 information is found. Accepts GENRE, ARTIST, ALBUM, TITLE, ARTIST_TITLE and TRACK_TITLE.</source>
-        <translation type="unfinished"></translation>
+        <translation>Hakemiston ja tiedostonimen muoto, jota käytetään tiedon nappaamiseen, mikäli mitään ID3 -tietoa ei löydy. Hyväksyy: tyylilaji, artisti, nimi, artisti_nimi ja kappale_nimi.</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="139"/>
         <source>Tag Encoding</source>
-        <translation type="unfinished"></translation>
+        <translation>Tag -koodaus</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="140"/>
         <source>UTF-16</source>
-        <translation type="unfinished"></translation>
+        <translation>UTF-16</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="141"/>
         <source>UTF-8</source>
-        <translation type="unfinished"></translation>
+        <translation>UTF-8</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="142"/>
         <source>Ascii</source>
-        <translation type="unfinished"></translation>
+        <translation>ASCII</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="143"/>
         <source>Some mp3 players don&apos;t understand tags encoded in UTF8 or UTF16, this setting allows you to change the encoding format used. Currently applies only to ID3 tags.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jotkin mp3 -toistajat eivät ymmärrä tageja, jotka on koodattu UTF-8 tai UTF-16, tämä antaa sinun vaihtaa käytettyä koodausformaattia. Tällä hetkellä koskee vain ID3 -tageja.</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="223"/>
         <source>Defines the location/name for new songs. Valid tokens are: GENRE, ARTIST, ALBUM, TRACK, TITLE, YEAR</source>
-        <translation type="unfinished"></translation>
+        <translation>tarkentaa paikan/nimen uusille kappaleille. Hyväksyy: tyylilaji, artisti, albumi, kappale, vuosi</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="310"/>
         <source>Maximum Search Results</source>
-        <translation type="unfinished"></translation>
+        <translation>Maksimimäärä hakutuloksia</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="313"/>
         <source>Used to limit the number of results returned when using the search feature.</source>
-        <translation type="unfinished"></translation>
+        <translation>Käytetään rajoittamaan saatujen tulosten määrää käytettäessä &apos;Haku&apos; -toimintoa.</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="379"/>
@@ -1689,47 +1689,47 @@
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="385"/>
         <source>Resume playback at either the beginning of the active play queue, the beginning of the last track, an exact point within the last track.</source>
-        <translation type="unfinished"></translation>
+        <translation>Aloita toistoon uudelleen, joko aktiivisen toistojononalussa tai viimeisen kappaleen alussa, tietyssä pisteessä viimeisestä kappaleetta.</translation> 
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="644"/>
         <source>Playback Settings (2)</source>
-        <translation type="unfinished"></translation>
+        <translation>Toistoasetukset (2)</translation>
     </message>
     <message>
         <location filename="../mythmusic/databasebox.cpp" line="76"/>
         <source>The theme you are using does not contain the %1 element. Please contact the theme creator and ask if they could please update it.&lt;br&gt;&lt;br&gt;The next screen will be empty. Escape out of it to return to the menu.</source>
-        <translation type="unfinished"></translation>
+        <translation>Teema, jota käytät ei sisällä %1 elementtiä. Ole hyvä ja ota ytheyttä teeman tekijään ja kysy, jos he voivat päivittää sen.  Seuraava kuva on tyhjä. Poistu siitä palataksesi valikkoon.</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="320"/>
         <source>Number of Artists Tree Groups</source>
-        <translation type="unfinished"></translation>
+        <translation>Artisti-ryhmien lukumäärä</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="321"/>
         <source>Few</source>
-        <translation type="unfinished"></translation>
+        <translation>Muutama</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="322"/>
         <source>Average</source>
-        <translation type="unfinished"></translation>
+        <translation>Keskimäärä</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="323"/>
         <source>Many</source>
-        <translation type="unfinished"></translation>
+        <translation>Monta</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="327"/>
         <source>Determines how many groups we have in the artist tree.  Few gives &apos;A B C D&apos; as per the old behaviour, average gives two letters per group, many gives one letter per group.</source>
-        <translation type="unfinished"></translation>
+        <translation>Päättelee kuinkamonta artisti-ryhmää sinulla on. Muutama antaa &apos;A B C D&apos; vaihtoehdot, Keskimäärä antaa kaksi kirjainta perryhmä ja Monta antaa yhden kirjaimen epr ryhmä.</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="357"/>
         <source>If selected, you can navigate your entire music tree from the playing screen. N.B. Does not work with accelerated buttons disabled</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos valittu, voit navigoida koko musiikkipuutasi Toisto -näytöllä. Huom! Pikanäppäinten täytyy olla mahdollistettuna</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="370"/>
@@ -1739,57 +1739,57 @@
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="372"/>
         <source>Starting shuffle mode for the player.  Can be either normal, random, intelligent (random), or Album.</source>
-        <translation type="unfinished"></translation>
+        <translation>Aloittaa Sekoitus -toiminnon soittimelle.  Voi olla joko normaali, satunnainen, älykäs (satunnainen) tai albumi.</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="416"/>
         <source>Change the visualizer when the song changes.</source>
-        <translation type="unfinished"></translation>
+        <translation>Vaihda visualisoija, kun kappale vaihtuu.</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="423"/>
         <source>Show Album Art at the start of each song</source>
-        <translation type="unfinished"></translation>
+        <translation>Näytä albumin kuvitus jokaisen kappaleen alussa</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="426"/>
         <source>When the song changes and the new song has an album art image display it in the visualizer for a short period.</source>
-        <translation type="unfinished"></translation>
+        <translation>Kun kappale vaihtuu ja uudella kappaleela on albumikuvitus, näytä se hetken aikaa visualisoijassa.</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="433"/>
         <source>Randomize Visualizer order</source>
-        <translation type="unfinished"></translation>
+        <translation>Satunnaista visualisoijan järjestys</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="436"/>
         <source>On changing the visualizer pick a new one at random.</source>
-        <translation type="unfinished"></translation>
+        <translation>Vaihtaessasi visualisoijaa, valitse uus satunnaisesti.</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="471"/>
         <source>List of visualizations to use during playback. Click the button below to edit this list</source>
-        <translation type="unfinished"></translation>
+        <translation>Luettelo visualisoinneista, joita käyttää toiston aikana. Klikka alla olevaa painiketta muuttaaksesi tätä listaa</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="479"/>
         <source>Edit Visualizations</source>
-        <translation type="unfinished"></translation>
+        <translation>Muokkaa Visualisointeja</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="480"/>
         <source>Edit the list of visualizations to use during playback.</source>
-        <translation type="unfinished"></translation>
+        <translation>Muokkaa visualisoijien luetteloa, jota käyttää toiston yhteydessä.</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="601"/>
         <source>General Settings (1)</source>
-        <translation type="unfinished"></translation>
+        <translation>Yleiset asetukset (1)</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="611"/>
         <source>General Settings (2)</source>
-        <translation type="unfinished"></translation>
+        <translation>Yleiset asetukset (2)</translation>
     </message>
     <message>
         <location filename="../mythmusic/avfdecoder.cpp" line="389"/>
@@ -1819,27 +1819,27 @@
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="392"/>
         <source>Action on exit</source>
-        <translation type="unfinished"></translation>
+        <translation>Toiminto poistuttaessa</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="393"/>
         <source>Prompt</source>
-        <translation type="unfinished"></translation>
+        <translation>Kysy</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="394"/>
         <source>Stop Playing</source>
-        <translation type="unfinished"></translation>
+        <translation>Pysäytä toisto</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="395"/>
         <source>Keep Playing</source>
-        <translation type="unfinished"></translation>
+        <translation>Jatka toistoa</translation>
     </message>
     <message>
         <location filename="../mythmusic/globalsettings.cpp" line="396"/>
         <source>Specify what action to take when exiting mythmusic plugin.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tarkenna mikä toiminto tehdään poistuttaessa mythmusic -liitännäisestä.</translation>
     </message>
 </context>
 <context>
Index: mytharchive/i18n/mytharchive_fi.ts
===================================================================
--- mytharchive/i18n/mytharchive_fi.ts	(revision 19002)
+++ mytharchive/i18n/mytharchive_fi.ts	(working copy)
@@ -1,11 +1,14 @@
-<!DOCTYPE TS><TS>
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS><TS version="1.1">
 <context>
     <name>EditMetadataDialog</name>
     <message>
+        <location filename="../mytharchive/editmetadata.cpp" line="143"/>
         <source>Save</source>
         <translation>Tallenna</translation>
     </message>
     <message>
+        <location filename="../mytharchive/editmetadata.cpp" line="150"/>
         <source>Cancel</source>
         <translation>Peruuta</translation>
     </message>
@@ -13,46 +16,57 @@
 <context>
     <name>ExportNativeWizard</name>
     <message>
+        <location filename="../mytharchive/exportnativewizard.cpp" line="169"/>
         <source>0 Mb</source>
-        <translation type="unfinished"></translation>
+        <translation>0 Mb</translation>
     </message>
     <message>
+        <location filename="../mytharchive/exportnativewizard.cpp" line="391"/>
         <source>Next</source>
         <translation>Seuraava</translation>
     </message>
     <message>
+        <location filename="../mytharchive/exportnativewizard.cpp" line="243"/>
         <source>Previous</source>
         <translation>Edellinen</translation>
     </message>
     <message>
+        <location filename="../mytharchive/exportnativewizard.cpp" line="523"/>
         <source>Cancel</source>
         <translation>Peruuta</translation>
     </message>
     <message>
+        <location filename="../mytharchive/exportnativewizard.cpp" line="275"/>
         <source>Choose File...</source>
         <translation>Valitse Tiedosto...</translation>
     </message>
     <message>
+        <location filename="../mytharchive/exportnativewizard.cpp" line="357"/>
         <source>Myth Archive</source>
-        <translation type="unfinished"></translation>
+        <translation>MythArchive</translation>
     </message>
     <message>
+        <location filename="../mytharchive/exportnativewizard.cpp" line="373"/>
         <source>Finish</source>
         <translation>Lopeta</translation>
     </message>
     <message>
+        <location filename="../mytharchive/exportnativewizard.cpp" line="521"/>
         <source>Remove Item</source>
         <translation>Poista</translation>
     </message>
     <message>
+        <location filename="../mytharchive/exportnativewizard.cpp" line="311"/>
         <source>Add Recording</source>
         <translation>Lisää Nauhoitus</translation>
     </message>
     <message>
+        <location filename="../mytharchive/exportnativewizard.cpp" line="319"/>
         <source>Add Video</source>
         <translation>Lisää Video</translation>
     </message>
     <message>
+        <location filename="../mytharchive/exportnativewizard.cpp" line="358"/>
         <source>You need to add at least one item to archive!</source>
         <translation>Tarvitaan ainakin yksi tiedosto!</translation>
     </message>
@@ -60,26 +74,32 @@
 <context>
     <name>FileSelector</name>
     <message>
+        <location filename="../mytharchive/fileselector.cpp" line="181"/>
         <source>OK</source>
         <translation>OK</translation>
     </message>
     <message>
+        <location filename="../mytharchive/fileselector.cpp" line="189"/>
         <source>Cancel</source>
         <translation>Peruuta</translation>
     </message>
     <message>
+        <location filename="../mytharchive/fileselector.cpp" line="197"/>
         <source>Back</source>
         <translation>Takaisin</translation>
     </message>
     <message>
+        <location filename="../mytharchive/fileselector.cpp" line="205"/>
         <source>Home</source>
         <translation>Ylin Valikko</translation>
     </message>
     <message>
+        <location filename="../mytharchive/fileselector.cpp" line="304"/>
         <source>Myth Archive</source>
-        <translation type="unfinished"></translation>
+        <translation>MythArchive</translation>
     </message>
     <message>
+        <location filename="../mytharchive/fileselector.cpp" line="305"/>
         <source>The selected item is not a directory!</source>
         <translation>Valittuna ei ole kansio!</translation>
     </message>
@@ -87,54 +107,67 @@
 <context>
     <name>ImportNativeWizard</name>
     <message>
+        <location filename="../mytharchive/importnativewizard.cpp" line="182"/>
         <source>Back</source>
         <translation>Takaisin</translation>
     </message>
     <message>
+        <location filename="../mytharchive/importnativewizard.cpp" line="190"/>
         <source>Home</source>
         <translation>Ylin Valikko</translation>
     </message>
     <message>
+        <location filename="../mytharchive/importnativewizard.cpp" line="386"/>
         <source>Next</source>
         <translation>Seuraava</translation>
     </message>
     <message>
+        <location filename="../mytharchive/importnativewizard.cpp" line="250"/>
         <source>Previous</source>
         <translation>Edellinen</translation>
     </message>
     <message>
+        <location filename="../mytharchive/importnativewizard.cpp" line="258"/>
         <source>Cancel</source>
         <translation>Peruuta</translation>
     </message>
     <message>
+        <location filename="../mytharchive/importnativewizard.cpp" line="319"/>
         <source>Myth Archive</source>
-        <translation type="unfinished"></translation>
+        <translation>MythArchive</translation>
     </message>
     <message>
+        <location filename="../mytharchive/importnativewizard.cpp" line="310"/>
         <source>You need to select a valid archive XML file!</source>
         <translation>Valitse validi XML!</translation>
     </message>
     <message>
+        <location filename="../mytharchive/importnativewizard.cpp" line="320"/>
         <source>You need to select a valid chanID!</source>
         <translation>Valitse validi kanava-id!</translation>
     </message>
     <message>
+        <location filename="../mytharchive/importnativewizard.cpp" line="371"/>
         <source>Finish</source>
         <translation>Lopeta</translation>
     </message>
     <message>
+        <location filename="../mytharchive/importnativewizard.cpp" line="768"/>
         <source>Select a ChanID</source>
         <translation>Valitse kanava-id</translation>
     </message>
     <message>
+        <location filename="../mytharchive/importnativewizard.cpp" line="794"/>
         <source>Select a ChanNo</source>
         <translation>Valitse kanava-numero</translation>
     </message>
     <message>
+        <location filename="../mytharchive/importnativewizard.cpp" line="820"/>
         <source>Select a Channel Name</source>
         <translation>Valitse Kanavanimi</translation>
     </message>
     <message>
+        <location filename="../mytharchive/importnativewizard.cpp" line="846"/>
         <source>Select a Callsign</source>
         <translation>Valitse Kutsumanimi</translation>
     </message>
@@ -142,38 +175,47 @@
 <context>
     <name>LogViewer</name>
     <message>
+        <location filename="../mytharchive/logviewer.cpp" line="38"/>
         <source>Log Viewer</source>
         <translation>Loki</translation>
     </message>
     <message>
+        <location filename="../mytharchive/logviewer.cpp" line="61"/>
         <source>Seconds</source>
         <translation>Sekuntia</translation>
     </message>
     <message>
+        <location filename="../mytharchive/logviewer.cpp" line="360"/>
         <source>Cancel</source>
         <translation>Peruuta</translation>
     </message>
     <message>
+        <location filename="../mytharchive/logviewer.cpp" line="95"/>
         <source>Update</source>
         <translation>Päivitä</translation>
     </message>
     <message>
+        <location filename="../mytharchive/logviewer.cpp" line="104"/>
         <source>Exit</source>
         <translation>Poistu</translation>
     </message>
     <message>
+        <location filename="../mytharchive/logviewer.cpp" line="350"/>
         <source>Increase Font Size</source>
         <translation>Kasvata Fonttikokoa</translation>
     </message>
     <message>
+        <location filename="../mytharchive/logviewer.cpp" line="353"/>
         <source>Decrease Font Size</source>
         <translation>Pienennä Fonttikokoa</translation>
     </message>
     <message>
+        <location filename="../mytharchive/logviewer.cpp" line="356"/>
         <source>Show Progress Log</source>
         <translation>Näytä Edistyminen</translation>
     </message>
     <message>
+        <location filename="../mytharchive/logviewer.cpp" line="358"/>
         <source>Show Full Log</source>
         <translation>Näytä Koko Loki</translation>
     </message>
@@ -181,62 +223,77 @@
 <context>
     <name>MythburnWizard</name>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="828"/>
         <source>Next</source>
         <translation>Seuraava</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="410"/>
         <source>Previous</source>
         <translation>Edellinen</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="1353"/>
         <source>Cancel</source>
         <translation>Peruuta</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="793"/>
         <source>Myth Archive</source>
-        <translation type="unfinished"></translation>
+        <translation>Myth Archive</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="809"/>
         <source>Finish</source>
         <translation>Lopeta</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="1349"/>
         <source>Edit Details</source>
         <translation>Muokkaa Yksityiskohtia</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="1352"/>
         <source>Remove Item</source>
         <translation>Poista</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="440"/>
         <source>Choose File...</source>
         <translation>Valitse Tiedosto...</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="782"/>
         <source>Don&apos;t re-encode</source>
         <translation>Älä jälleenkäsittele</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="778"/>
         <source>New Size </source>
         <translation>Uusi Koko</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="773"/>
         <source>Original Size </source>
         <translation>Alkuperäinen Koko </translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="489"/>
         <source>Add Recording</source>
         <translation>Lisää Nauhoitus</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="497"/>
         <source>Add Video</source>
         <translation>Lisää Video</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="505"/>
         <source>Add File</source>
         <translation>Lisää Tiedosto</translation>
     </message>
     <message>
+        <location filename="../mytharchive/mythburnwizard.cpp" line="794"/>
         <source>You need to add at least one item to archive!</source>
         <translation>Tarvitaan ainakin yksi tiedosto!</translation>
     </message>
